package de.mzte.tcdumper;

import java.util.Map.Entry;

import thaumcraft.api.aspects.Aspect;
import thaumcraft.api.aspects.AspectList;

public class Util {
    public static String aspectListToString(AspectList al) {
        StringBuilder sb = new StringBuilder();

        for (Entry<Aspect, Integer> a : al.aspects.entrySet()) {
            if (a.getKey() == null)
                continue;

            sb.append(a.getValue());
            sb.append('x');
            sb.append(a.getKey().getName());
            sb.append(' ');
        }

        return sb.toString().trim();
    }
}
